.js-drupal-fullcalendar.fc {
  .fc-row.fc-week.fc-widget-content {
    height: 120px !important;
  }
  .fc-scroller.fc-day-grid-container {
    height: fit-content !important;
  }
  .fc-header-toolbar {
    h2 {
      color: #1f4d72;
    }
    .fc-center {
      text-transform: capitalize;
    }
  }
  .fc-button-primary {
    background-color: #1f4d72;
    border-color: #1f4d72;
    color: #fff;
    .fc-button-active {
      background-color: #007AB3;
      color: #fff;
    }
  }
  .fc-head-container {
    th {
      background-color: #1f4d72;
      color: #fff;
    }
  }
  .fc-body {
    .fc-day-number {
      color: #1f4d72;
    }
    .fc-day-grid-event {
      &:hover {
        .fc-content {
          white-space: break-spaces;
        }
      }
    }
    .fc-content-skeleton {
      tbody {
        tr {
          border-bottom: none;
          background: transparent;
        }
      }
      thead {
        tr {
          border-bottom: none;
          background: transparent;
          td {
            border-color: #ddd;
            border-bottom: none;
            border-top: 1px solid #000;
          }
        }
      }
    }
  }
  table {
    margin: 0;
    tbody {
      td {
        &.fc-day {
          border-top: none;
          &:hover {
            background: #c9e7ff;
          }
        }
        &.fc-today {
          background: #c9e7ff;
        }
      }
    }
  }
}
.node--type-event {
  .event-dates {
    display: flex;
    gap: 10px;
    font-weight: bold;
  }
  .event-subscribe {
    h2 {
      width: 100%;
    }
    form {
      max-width: 300px;
      margin: 0 auto;
      button[type="submit"] {
        margin: 0 auto;
        display: block;
      }
    }
  }
  .node__content {
    h1, h2, h3 {
      color: #1f4d72;
    }
    .field__label {
      font-weight: bold;
    }
  }
}
.block-views-exposed-filter-blockcalendar-uprp-page-1,
.view-calendar-uprp {
  .view-content {
    &>div {
      width: 100%;
    }
  }
  .form-control {
    padding: .375rem .75rem;
  }
  /* Selects */
  .form-type-select {
    position: relative;
  }

  .form-type-select .form-select {
    -webkit-appearance: auto;
    -moz-appearance: auto;
    appearance: auto;
    border: 1px solid #e2e2e2;
    background-image: none;
  }

  .form-type-select:after {
    border: 0;
    content: "";
    color: inherit;
    font-size: inherit;
    font-family: inherit;
    line-height: 1;
    position: relative;
    right: inherit;
    top: inherit;
    -webkit-transform: inherit;
    transform: inherit;
    vertical-align: 0;
  }

  /* Focused state */
  .form-control.focus,
  .form-control:focus,
  .form-type-select .form-select.focus,
  .form-type-select .form-select:focus {
    border-color: #007AB3;
    -webkit-box-shadow: none;
    box-shadow: none;
  }
  form,
  .views-exposed-form {
    margin: 0 auto;
    display: flex;
    .form-row {
      gap: 10px;
      .button {
        height: fit-content;
        padding: 15px 25px;
        line-height: normal;
        margin: auto 0;
      }
      [id^="edit-field-date-from-value-"] {
        .fieldset-wrapper {
          display: flex;
          label.label {
            color: #333;
            align-content: center;
            margin: 0;
          }
        }
      }
    }
  }
}
.calendar_header {
  display: flex;
  justify-content: space-between;
  width: 100%;
  a.btn {
    text-transform: uppercase;
  }
}
